Bug 217246 - iscsid floods target with nop outs
iscsid floods target with nop outs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 14:52 EST by Mike Christie
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 19:54:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Christie 2006-11-25 14:52:16 EST
Description of problem:

Possible RHEL4/3 regression.

iscsid does not wait for a nop-out response before sending another one. This
then floods the target and the netlink interface with nop-out responses from the
target. And this prevents errors from the kernel from getting handled in a
timely manner and then causes problems with multipath and clustering software.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Set 

node.conn[0].timeo.noop_out_interval = 5

(this was the RHEL4 Active Ping interval)

run on a slow connection and watch "iscsid -d 8" or tcpdump/ethereal for a flood
of nop outs sent to the target.

iscsid also marks every nop as immediate. Some targets can only handle one
immediate request at a time, so this can result in different errors and problems
depending on the target.
Comment 2 RHEL Product and Program Management 2006-11-27 21:08:00 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jay Turner 2007-01-10 21:55:06 EST
QE ack for RHEL5.
Comment 4 RHEL Product and Program Management 2007-02-07 19:54:29 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.